MuleSessionHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.MuleSessionHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule
Class MuleSessionHandler

    java.lang.Object
      org.mule.MuleSessionHandler

All Implemented Interfaces:
  SessionHandler

    public class MuleSessionHandler

extends Object
implements SessionHandler

A default session handler used to store and retrieve session information on an event. The DefaultMuleSession information is stored as a header on the message (does not support Tcp, Udp, etc. unless the MuleMessage object is serialised across the wire). The session is stored in the "MULE_SESSION" property as String key/value pairs that are Base64 encoded, for example: ID=dfokokdf-3ek3oke-dkfokd;MySessionProp1=Value1;MySessionProp2=Value2

Field Summary
`protected Log` | `logger` logger used by this class

Constructor Summary
`MuleSessionHandler()`

Method Summary
`String` | `getSessionIDKey()` The property name of the session id to use when creating the Mule session.
`void` | `retrieveSessionInfoFromMessage(MuleMessage message, MuleSession session)`
`void` | `storeSessionInfoToMessage(MuleSession session, MuleMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

Constructor Detail

### MuleSessionHandler

    public MuleSessionHandler()

Method Detail

### retrieveSessionInfoFromMessage

    public void retrieveSessionInfoFromMessage(MuleMessage message,
                                               MuleSession session)
                                        throws MuleException

  Specified by:
    `retrieveSessionInfoFromMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### storeSessionInfoToMessage

    public void storeSessionInfoToMessage(MuleSession session,
                                          MuleMessage message)
                                   throws MuleException

  Specified by:
    `storeSessionInfoToMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### getSessionIDKey

    public String getSessionIDKey()

  Description copied from interface: `SessionHandler`
  The property name of the session id to use when creating the Mule session. by default the property name "ID" will be used. If no property was set on the session called "ID" a session id will be automatically generated

  Specified by:
    `getSessionIDKey` in interface `SessionHandler`
  Returns:
    the property name of the session id that is set on the session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.